import Taro from "@tarojs/taro";
import { useStore } from "vuex";
import { computed } from "@vue/runtime-core";

/**
 * 
 * @param {String} token 
 */
export const setToken = (token) => {
    Taro.setStorageSync('token', token)
}
/**
 * 
 * @param {Object} userinfo 
 */
export const setUserInfo = (userinfo) => {
    Taro.setStorageSync('userInfo', userinfo)
}


/**
 * 检查登录
 */
export const checkLogin = () => {
    const store = useStore()
    const token = computed(() => store.state.token)
    console.log('checklogin token', token);

    // 本地调试屏蔽
    if (token == '') {
        Taro.redirectTo({
            url: '/pages/login/index',
        })
    }

}